%global _hardened_build 1

Name:           xfce4-hardware-monitor-plugin
Version:        1.6.0
Release:        1
Summary:        Xfce4 panel plugin to monitor various hardware
License:        GPL+ and LGPLv2+
#Group:          Development/Libraries
URL:            https://goodies.xfce.org/projects/panel-plugins/xfce4-hardware-monitor-plugin
Source0:        http://git.xfce.org/panel-plugins/%{name}/snapshot/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc-c++
BuildRequires:  gtkmm30-devel
BuildRequires:  libglademm24-devel
BuildRequires:  libgnomecanvasmm26-devel
BuildRequires:  libgtop2-devel
BuildRequires:  libxfce4ui-devel
BuildRequires:  lm_sensors-devel
BuildRequires:  xfce4-dev-tools
BuildRequires:  xfce4-panel-devel
BuildRequires:  libtool

%description
Hardware Monitor is a monitor plugin for the XFCE4 panel (originally
the GNOME panel). It supports a variety of monitoring capabilities
(CPU usage, network throughput etc.) and different kinds of viewers
(curves, bars, columns, text, flames).

%prep
%autosetup

%build
export CXXFLAGS="%{optflags} -std=c++11"

xdt-autogen
%configure
%make_build

%install
%make_install

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README
#%{_libdir}/xfce4/panel/plugins/*
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/xfce4-hardware-monitor-plugin

%changelog
* Mon Jul 27 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 1.6.0-1
- Init package
